python2-pkginfo-1.4.2-2.2.noarch.rpm


Advertisement

Description

python2-pkginfo - Python package for querying metadatdata from sdists/bdists/installed packages

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-pkginfo-1.4.2-2.2.noarch.rpm
Package name python2-pkginfo
Package version 1.4.2
Package release 2.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage http://pypi.python.org/pypi/pkginfo/
License MIT
Maintainer -
Download size 51.79 KB
Installed size 197.67 KB
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distriubtion (an sdist) or a
binary distribution (e.g., created by running bdist_egg).  It can
also query the EGG-INFO directory of an installed distribution, and
the *.egg-info stored in a "development checkout"
(e.g, created by running setup.py develop).

Alternatives

Package Version Architecture Repository
python2-pkginfo - - -

Requires

Name Value
/usr/bin/python2 -
python(abi) = 2.7
update-alternatives -

Provides

Name Value
python-pkginfo = 1.4.2-2.2
python2-pkginfo = 1.4.2-2.2

Obsoletes

Name Value
python-pkginfo < 1.4.2-2.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-pkginfo-1.4.2-2.2.noarch.rpm
Source Package python-pkginfo-1.4.2-2.2.src.rpm

Install Howto

Install python2-pkginfo rpm package:

# zypper install python2-pkginfo

Files

Path
/etc/alternatives/pkginfo
/usr/bin/pkginfo
/usr/bin/pkginfo-2.7
/usr/lib/python2.7/site-packages/pkginfo/__init__.py
/usr/lib/python2.7/site-packages/pkginfo/__init__.pyc
/usr/lib/python2.7/site-packages/pkginfo/__init__.pyo
/usr/lib/python2.7/site-packages/pkginfo/_compat.py
/usr/lib/python2.7/site-packages/pkginfo/_compat.pyc
/usr/lib/python2.7/site-packages/pkginfo/_compat.pyo
/usr/lib/python2.7/site-packages/pkginfo/bdist.py
/usr/lib/python2.7/site-packages/pkginfo/bdist.pyc
/usr/lib/python2.7/site-packages/pkginfo/bdist.pyo
/usr/lib/python2.7/site-packages/pkginfo/commandline.py
/usr/lib/python2.7/site-packages/pkginfo/commandline.pyc
/usr/lib/python2.7/site-packages/pkginfo/commandline.pyo
/usr/lib/python2.7/site-packages/pkginfo/develop.py
/usr/lib/python2.7/site-packages/pkginfo/develop.pyc
/usr/lib/python2.7/site-packages/pkginfo/develop.pyo
/usr/lib/python2.7/site-packages/pkginfo/distribution.py
/usr/lib/python2.7/site-packages/pkginfo/distribution.pyc
/usr/lib/python2.7/site-packages/pkginfo/distribution.pyo
/usr/lib/python2.7/site-packages/pkginfo/index.py
/usr/lib/python2.7/site-packages/pkginfo/index.pyc
/usr/lib/python2.7/site-packages/pkginfo/index.pyo
/usr/lib/python2.7/site-packages/pkginfo/installed.py
/usr/lib/python2.7/site-packages/pkginfo/installed.pyc
/usr/lib/python2.7/site-packages/pkginfo/installed.pyo
/usr/lib/python2.7/site-packages/pkginfo/sdist.py
/usr/lib/python2.7/site-packages/pkginfo/sdist.pyc
/usr/lib/python2.7/site-packages/pkginfo/sdist.pyo
/usr/lib/python2.7/site-packages/pkginfo/utils.py
/usr/lib/python2.7/site-packages/pkginfo/utils.pyc
/usr/lib/python2.7/site-packages/pkginfo/utils.pyo
/usr/lib/python2.7/site-packages/pkginfo/wheel.py
/usr/lib/python2.7/site-packages/pkginfo/wheel.pyc
/usr/lib/python2.7/site-packages/pkginfo/wheel.pyo
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/pkginfo-1.4.2-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/pkginfo/tests/__init__.py
/usr/lib/python2.7/site-packages/pkginfo/tests/__init__.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/__init__.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_bdist.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_bdist.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_bdist.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_commandline.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_commandline.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_commandline.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_develop.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_develop.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_develop.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_distribution.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_distribution.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_distribution.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_index.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_index.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_index.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_installed.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_installed.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_installed.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_sdist.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_sdist.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_sdist.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_utils.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_utils.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_utils.pyo
/usr/lib/python2.7/site-packages/pkginfo/tests/test_wheel.py
/usr/lib/python2.7/site-packages/pkginfo/tests/test_wheel.pyc
/usr/lib/python2.7/site-packages/pkginfo/tests/test_wheel.pyo
/usr/share/doc/packages/python2-pkginfo/CHANGES.txt
/usr/share/doc/packages/python2-pkginfo/README.txt
/usr/share/doc/packages/python2-pkginfo/TODO.txt
/usr/share/licenses/python2-pkginfo/LICENSE.txt

Changelog

2018-12-19 - Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-05-20 - hpj@urpla.net
- fix failing tests with sed
- enable tests
2018-05-19 - hpj@urpla.net
- Update to version 1.4.2
- Use relative imports in pkginfo modules.  Supports vendoring of the
package into setuptools.
- Add support for ``Provides-Extra`` and ``Description-Content-Type`` fields.
Per https://packaging.python.org/specifications/.  See:  PEP 566.
- Remove support for old setuptools leaving ``PKG-INFO`` in the root of
the project directory.
2017-04-19 - toddrme2178@gmail.com
- Update to version 1.4.1
* Packaging only change (invalid sdist bulit for 1.4.0).
- Update to version 1.4.0
* Relicense under MIT license: the PSF license is not suitable for third-party libraries.
- Update to version 1.3.2
* Packaging-only change (automate fix for wheel built for 1.3.1).
- Update to version 1.3.1
* Packaging-only change (invalid wheel built for 1.3.0).
- Update to version 1.3.0
* Update homepage URL to point to Launchpad, rather than PyPI.
* Add support for building wheels.
* Add support for Python 3.5.
* Drop support for Python 2.6 and 3.2.
- Implement single-spec version.
2015-06-02 - p.drouand@gmail.com
- Update to version 1.2.1
* Add overlooked Trove classifier for Python 3.4.
- Changes from version 1.2 final
* Add support for Python 3.4, PyPy3.
* Add 100% coverage for pkginfo.commandline module.
2014-02-04 - speilicke@suse.com
- Initial version

See Also

Package Description
python2-plaster-0.5-1.4.noarch.rpm A loader interface around multiple config file formats
python2-plaster-pastedeploy-0.4.1-1.4.noarch.rpm A loader implementing the PasteDeploy syntax to be used by plaster
python2-plette-0.2.2-1.1.noarch.rpm Structured Pipfile and Pipfile.lock models
python2-plotly-3.5.0-1.2.noarch.rpm Library for collaborative, interactive, publication-quality graphs
python2-plotly-jupyter-3.5.0-1.2.noarch.rpm Jupyter notebook integration for python2-plotly
python2-pluggy-0.9.0-1.1.noarch.rpm Plugin registration and hook calling mechanisms for Python
python2-plumbum-1.6.6-2.2.noarch.rpm Shell combinators library
python2-ply-3.11-3.2.noarch.rpm Python Lex & Yacc
python2-plyvel-1.0.5-1.3.i586.rpm Python interface to LevelDB
python2-plyvel-1.0.5-1.3.x86_64.rpm Python interface to LevelDB
python2-pmw-2.0.1-3.2.noarch.rpm High-level compound widgets in Python using the Tkinter module
python2-pocketsphinx-0.8-3.1.i586.rpm Python bindings for pocketsphinx
python2-pocketsphinx-0.8-3.1.x86_64.rpm Python bindings for pocketsphinx
python2-pocketsphinx-python-0.1.3-2.1.i586.rpm Python interface to CMU Sphinxbase and Pocketsphinx libraries
python2-pocketsphinx-python-0.1.3-2.1.x86_64.rpm Python interface to CMU Sphinxbase and Pocketsphinx libraries
Advertisement
Advertisement